
Foreman - Bug #24039

Wrong message while selecting multiple hosts.

06/21/2018 06:26 PM - Tomáš Strachota

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1593340 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1593340

Description of problem:

When all the host from the 2nd page is selected satellite gives an incorrect number of hosts that are selected.

Note - Not in every condition it shows the wrong message.

How reproducible:

Steps to Reproduce:

1. Navigate to Hosts -> All hosts

2. in the search box, use a filter that will yield a number of servers that is larger than the "Entries per page" setting. (In my case I

have 4 hosts registered to satellite and I have set the per page entry to 3)

3. Navigate to the last page of search results (In my case, page 2)

4. Select the checkbox that selects all hosts on this page

Actual results:

It shows the message that "All 3 hosts on this page are selected. Select all 4 hosts"

Expected results:

It should be "1 host on this page is selected. Select all 4 hosts"

Related issues:

Related to Foreman - Bug #21425: multiple hosts selection alert does not refe... Closed 10/23/2017

History

#1 - 06/21/2018 06:27 PM - Tomáš Strachota

- Description updated

- Target version set to 219

#2 - 06/21/2018 06:28 PM - Tomáš Strachota

- Related to Bug #21425: multiple hosts selection alert does not refer to params[:per_page] added

#3 - 07/10/2018 02:19 PM - Greg Sutcliffe

- Assignee set to Tomáš Strachota

- Target version deleted (219)

- Triaged set to No

#4 - 07/12/2018 08:35 AM - Tomáš Strachota

- Assignee deleted (Tomáš Strachota)
